/// <reference types="@webgpu/types" />
import BuiltIn from "./core/BuiltIn.js";
import { ShaderStageName } from "./types.js";
export declare const GPUBufferUsage: {
    [key: string]: GPUBufferUsageFlags;
};
export declare const GPUTextureUsage: {
    [key: string]: GPUTextureUsageFlags;
};
export declare const GPUShaderStage: {
    [key: string]: GPUShaderStageFlags;
};
export declare const BindingType: {
    [key: string]: string;
};
export declare const GPUIndexFormat: {
    [key: string]: GPUIndexFormat;
};
export declare const GPUCanvasCompositingAlphaMode: {
    [key: string]: GPUCanvasCompositingAlphaMode;
};
export declare const GPUPrimitiveTopology: {
    [key: string]: GPUPrimitiveTopology;
};
export declare const GPUShaderStageName: {
    [key: GPUShaderStageFlags]: ShaderStageName;
};
export declare const GPUTextureSampleType: {
    [BindingType: string]: string;
};
export declare const StorageClass: {
    [key: string]: string;
};
export declare type StorageClass = typeof StorageClass[keyof typeof StorageClass];
export declare const AccessMode: {
    [key: string]: string;
};
export declare type AccessMode = typeof AccessMode[keyof typeof AccessMode];
export declare const GLSL_SCALARS_TO_WGSL: {
    [key: string]: string;
};
export declare const WGSL_SCALARS_TO_GLSL_PREFIX: {
    [key: string]: string;
};
export declare const WGSL_MATRIX_TO_GLSL: {
    [key: string]: string;
};
export declare const WGSL_TYPE_TO_GPU_VERTEX_FORMAT: {
    [key: string]: GPUVertexFormat;
};
export declare const WGSLBuiltIn: {
    [key: string]: BuiltIn;
};
