/// <reference types="@webgpu/types" />
import Command from "./Command.js";
import { ContextOptions } from "../types.js";
declare class Context {
    canvas: HTMLCanvasElement;
    context: GPUCanvasContext;
    pixelRatio: number;
    private adapter;
    private commandEncoder;
    private passEncoder;
    private defaultDepthStencilAttachment;
    constructor({ canvas, context, pixelRatio }?: ContextOptions);
    init(requestAdapter: {}, deviceDescriptor: {}, presentationContextDescriptor: {}, glslangPath: string): Promise<boolean>;
    resize(width: number, height: number, presentationContextDescriptor?: {}): void;
    submit(command: Command, subcommand?: () => unknown): void;
    render(cb: () => unknown): void;
}
export default Context;
