import Shader from "./Shader";
import BindGroupLayout from "./BindGroupLayout.js";
import Uniform from "./Uniform.js";
import { AccessMode, StorageClass } from "../constants.js";
import { ShaderStageName, BindGroupLayoutEntry, Language, GLSLStorageQualifier } from "../types.js";
declare class Program {
    bindGroupLayouts: BindGroupLayout[];
    shaders: {
        [key in ShaderStageName]?: Shader;
    };
    language: Language;
    constructor(bindGroupLayouts: BindGroupLayout[], shaders: {
        [key in ShaderStageName]?: Shader;
    }, language: Language);
    init(): void;
    getWGSLBufferString(binding: BindGroupLayoutEntry, bindingIndex: number, uniforms: Uniform[], set: number, storageClass: StorageClass, accesMode?: AccessMode): string;
    getWGSLHeaders(set: number, entries: BindGroupLayoutEntry[]): {
        [key in ShaderStageName]?: string;
    };
    getGLSLBufferString(binding: BindGroupLayoutEntry, bindingIndex: number, uniforms: Uniform[], set: number, bindingType: GLSLStorageQualifier, layoutQualifierString: string): string;
    getGLSLHeaders(set: number, entries: BindGroupLayoutEntry[]): {
        [key in ShaderStageName]?: string;
    };
}
export default Program;
