/// <reference types="@webgpu/types" />
import { GLSLLayoutQualifier } from "../types.js";
declare class Variable {
    name: string;
    type?: string;
    visibility?: GPUShaderStageFlags;
    arrayCount?: number;
    static isWgsl(type: string): boolean;
    constructor(name: string, type?: string, visibility?: GPUShaderStageFlags, arrayCount?: number);
    get wgslType(): string;
    get glslType(): string;
    get format(): string;
    static getAlignement(size: number, qualifier?: GLSLLayoutQualifier): number;
    getSize(qualifier?: GLSLLayoutQualifier): number;
    getWGSLString(_index?: number): string;
    getGLSLString(): string;
}
export default Variable;
